org.eclipse.emf.cdo.edit

## Class CDOItemProviderAdapter.CDOPropertyDescriptor

- java.lang.Object
- - org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor

- All Implemented Interfaces:
    IItemLabelProvider, IItemPropertyDescriptor
  Direct Known Subclasses:
    CDOItemProviderAdapter.AdaptersDescriptor, CDOItemProviderAdapter.ChangeSubscriptionPoliciesDescriptor, CDOItemProviderAdapter.ContainerDescriptor, CDOItemProviderAdapter.DirectResourceDescriptor, CDOItemProviderAdapter.IDDescriptor, CDOItemProviderAdapter.ReadLockedDescriptor, CDOItemProviderAdapter.StateDescriptor, CDOItemProviderAdapter.URIDescriptor, CDOItemProviderAdapter.VersionDescriptor, CDOItemProviderAdapter.ViewDescriptor, CDOItemProviderAdapter.WriteLockedDescriptor, CDOItemProviderAdapter.WriteOptionDescriptor
  Enclosing class:
    CDOItemProviderAdapter

      public static class CDOItemProviderAdapter.CDOPropertyDescriptor
      extends java.lang.Object
      implements IItemPropertyDescriptor, IItemLabelProvider

  Base abstract to add CDO debug information to PropertiesView. Users wanting to add new information to the Properties view can subclass this class instead of directly implementing `IItemPropertyDescriptor`.
  Since:
    2.0
  Author:
    Victor Roldan Betancort

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider` Deprecated. as of 4.4 not used any more.

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IItemPropertyDescriptor

      `IItemPropertyDescriptor.OverrideableCommandOwner, IItemPropertyDescriptor.ValueHandler, IItemPropertyDescriptor.ValueHandlerProvider`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CDO_CATEGORY` PropertiesView category for CDO
    `static java.lang.String[]` | `FILTER_ID_EXPERT` The filter id for expert properties

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOPropertyDescriptor()` Deprecated. as of 4.4. use `#CDOPropertyDescriptor(Property)`.
    `CDOPropertyDescriptor(Property<EObject> property)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canSetProperty(java.lang.Object object)`
    `java.lang.String` | `getCategory(java.lang.Object object)`
    `java.util.Collection<?>` | `getChoiceOfValues(java.lang.Object object)`
    `java.lang.String` | `getDescription(java.lang.Object object)`
    `java.lang.String` | `getDisplayName(java.lang.Object object)`
    `java.lang.Object` | `getFeature(java.lang.Object object)`
    `java.lang.String[]` | `getFilterFlags(java.lang.Object object)`
    `java.lang.Object` | `getHelpContextIds(java.lang.Object object)`
    `java.lang.String` | `getId(java.lang.Object object)`
    `java.lang.Object` | `getImage(java.lang.Object object)`
    `IItemLabelProvider` | `getLabelProvider(java.lang.Object object)`
    `Property<EObject>` | `getProperty()`
    `java.lang.Object` | `getPropertyValue(java.lang.Object object)`
    `java.lang.String` | `getText(java.lang.Object object)`
    `boolean` | `isCompatibleWith(java.lang.Object object, java.lang.Object anotherObject, IItemPropertyDescriptor anotherPropertyDescriptor)`
    `boolean` | `isMany(java.lang.Object object)`
    `boolean` | `isMultiLine(java.lang.Object object)`
    `boolean` | `isPropertySet(java.lang.Object object)`
    `boolean` | `isSortChoices(java.lang.Object object)`
    `void` | `resetPropertyValue(java.lang.Object object)`
    `void` | `setPropertyValue(java.lang.Object object, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FILTER_ID_EXPERT

          public static final java.lang.String[] FILTER_ID_EXPERT

      The filter id for expert properties

    - #### CDO_CATEGORY

          public static final java.lang.String CDO_CATEGORY

      PropertiesView category for CDO

  - ### Constructor Detail

    - #### CDOPropertyDescriptor

          @Deprecated
          public CDOPropertyDescriptor()

      Deprecated. as of 4.4. use `#CDOPropertyDescriptor(Property)`.

    - #### CDOPropertyDescriptor

          public CDOPropertyDescriptor(Property<EObject> property)

      Since:
        4.4

  - ### Method Detail

    - #### getProperty

          public final Property<EObject> getProperty()

      Since:
        4.4

    - #### getId

          public java.lang.String getId(java.lang.Object object)

      Specified by:
        `getId` in interface `IItemPropertyDescriptor`
      Since:
        4.4

    - #### getFeature

          public java.lang.Object getFeature(java.lang.Object object)

      Specified by:
        `getFeature` in interface `IItemPropertyDescriptor`
      Since:
        4.4

    - #### getDisplayName

          public java.lang.String getDisplayName(java.lang.Object object)

      Specified by:
        `getDisplayName` in interface `IItemPropertyDescriptor`
      Since:
        4.4

    - #### getDescription

          public java.lang.String getDescription(java.lang.Object object)

      Specified by:
        `getDescription` in interface `IItemPropertyDescriptor`
      Since:
        4.4

    - #### isPropertySet

          public boolean isPropertySet(java.lang.Object object)

      Specified by:
        `isPropertySet` in interface `IItemPropertyDescriptor`

    - #### getPropertyValue

          public java.lang.Object getPropertyValue(java.lang.Object object)

      Specified by:
        `getPropertyValue` in interface `IItemPropertyDescriptor`
      Since:
        4.4

    - #### setPropertyValue

          public void setPropertyValue(java.lang.Object object,
                                       java.lang.Object value)

      Specified by:
        `setPropertyValue` in interface `IItemPropertyDescriptor`

    - #### resetPropertyValue

          public void resetPropertyValue(java.lang.Object object)

      Specified by:
        `resetPropertyValue` in interface `IItemPropertyDescriptor`

    - #### canSetProperty

          public boolean canSetProperty(java.lang.Object object)

      Specified by:
        `canSetProperty` in interface `IItemPropertyDescriptor`

    - #### getCategory

          public java.lang.String getCategory(java.lang.Object object)

      Specified by:
        `getCategory` in interface `IItemPropertyDescriptor`

    - #### getChoiceOfValues

          public java.util.Collection<?> getChoiceOfValues(java.lang.Object object)

      Specified by:
        `getChoiceOfValues` in interface `IItemPropertyDescriptor`

    - #### getHelpContextIds

          public java.lang.Object getHelpContextIds(java.lang.Object object)

      Specified by:
        `getHelpContextIds` in interface `IItemPropertyDescriptor`

    - #### isCompatibleWith

          public boolean isCompatibleWith(java.lang.Object object,
                                          java.lang.Object anotherObject,
                                          IItemPropertyDescriptor anotherPropertyDescriptor)

      Specified by:
        `isCompatibleWith` in interface `IItemPropertyDescriptor`

    - #### isMany

          public boolean isMany(java.lang.Object object)

      Specified by:
        `isMany` in interface `IItemPropertyDescriptor`

    - #### isMultiLine

          public boolean isMultiLine(java.lang.Object object)

      Specified by:
        `isMultiLine` in interface `IItemPropertyDescriptor`

    - #### isSortChoices

          public boolean isSortChoices(java.lang.Object object)

      Specified by:
        `isSortChoices` in interface `IItemPropertyDescriptor`

    - #### getFilterFlags

          public java.lang.String[] getFilterFlags(java.lang.Object object)

      Specified by:
        `getFilterFlags` in interface `IItemPropertyDescriptor`

    - #### getLabelProvider

          public IItemLabelProvider getLabelProvider(java.lang.Object object)

      Specified by:
        `getLabelProvider` in interface `IItemPropertyDescriptor`

    - #### getImage

          public java.lang.Object getImage(java.lang.Object object)

      Specified by:
        `getImage` in interface `IItemLabelProvider`
      Since:
        4.4

    - #### getText

          public java.lang.String getText(java.lang.Object object)

      Specified by:
        `getText` in interface `IItemLabelProvider`
      Since:
        4.4

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html